[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# THintWindow.ReleaseHandle

Destroys an allocated handle for the widget.

## Declaration

Source position: forms.pp line 1026

`public procedure THintWindow.ReleaseHandle;`

## Description

ReleaseHandle is a method used to free the Handle allocated for the control in the widgetset class. It calls the DestroyHandle method if the Handle has been allocated for the class instance. ReleaseHandle is called by methods in the widgetset class to ensure that the Handle is set 0 (the un-initialized value).

## See also

TWinControl.DestroyHandle |  | Destroys the handle for the control and all child controls.